# Controls

| Action  |   XInput |      PS4 | Effect                            | Remarks                                                                                                |
|---------|---------:|---------:|-----------------------------------|--------------------------------------------------------------------------------------------------------|
| Up      | A1+, A3+ | A1+, A4+ | Select Menu Item Up/Look Up       |                                                                                                        |
| Right   | A0+, A2+ | A0+, A2+ | Select Menu Item Right/Move Right |                                                                                                        |
| Down    | A1-, A3- | A1-, A4- | Select Menu Item Down/Crouch      |                                                                                                        |
| Left    | A0-, A2- | A0-, A2- | Select Menu Item Left/Move Left   |                                                                                                        |
| Affirm  |      B11 |          | Confirm Selected Option           |                                                                                                        |
| Negate  |      B10 |          | Go Back                           |                                                                                                        |
| Action0 |       B1 |       B2 | Jump                              | When crouched, player will go down a solid-on-top ground.                                              |
| Action1 |       B0 |       B1 | Primary Fire                      | Each weapon has firing characteristics, see below.                                                     |
| Action2 |       B4 |          | Secondary Fire                    | Each weapon has firing characteristics, see below.                                                     |
| Action3 |       B3 |          | Reload                            | Reload always drops current clip regardless if there are rounds left.                                  |
| Action4 |       B6 |          | Switch Weapon Mode                | Press to select next weapon mode (cycle), hold then press Left/Right to set previous/next weapon mode. |
| Action5 |       B7 |          | Switch Weapon                     | Press to select next weapon (cycle), hold then press Left/Right to set previous/next weapon.           |
| Action6 |       B8 |          | Item/Inventory                    | Hold to open inventory, double press to use current item.                                              |
| Action7 |       B9 |          | Switch Item                       | Press to select next item (cycle), hold then press Left/Right to set previous/next item.               |
| Action8 |      B13 |          | Take Cover                        | Enter doors, go between objects to hide from enemies.                                                  |
| Action9 |      B14 |          | Sneak                             | Hold then press Left/Right to sneak. (do we need this control, or crouch is enough?)                   |
